// pages/ticketScan/ticketScan.js
const utils = require('../../utils/util.js')
import drawQrcode from '../../utils/weapp.qrcode.esm.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    qrcodeUrl: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getCompany()
  },

  //详情  
  toDetail() {
    /* wx.redirectTo({
      url: '/pages/ticketScan/detail?belongEntTaxId=' + this.data.belongEntTaxId
    }) */
  },

  //销方公司
  getCompany() {
    let result = utils.getCurrEntInfo()
      this.drawQrcode('qrcode',`https://app.taxbk.cn:9443/qrcode/#/titleTodo?entTaxId=${result.entTaxId}&entName=${result.entName}`)
    // utils.getCompany().then(res => {
    //   let result = res.data
    //   this.drawQrcode('qrcode',`https://app.taxbk.cn:9443/qrcode/#/titleTodo?entTaxId=${result.entTaxId}&entName=${result.entName}`)
    // })
  },

  //二维码
  drawQrcode(canvasId,text) {
    wx.showLoading({
      title: '二维码加载中...',
      mask: true
    })
    drawQrcode({
      width: 232,
      height: 232,
      canvasId: canvasId,
      text: text,
      callback: () => {
        //安卓机上不准确，生成的二维码无法扫描，加延时解决
        setTimeout(() => {
          wx.canvasToTempFilePath({
            canvasId: canvasId,
            success: res => {
              wx.hideLoading()
              this.setData({
                qrcodeUrl: res.tempFilePath
              })
            }
          }, this)
        }, 500)
      }
    })
  },

  //长按保存
  save() {
    wx.getImageInfo({
      src: this.data.qrcodeUrl,
      success: res => {
        utils.savePhoto(res.path)
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return {
      title: '诺信云',
      path: '/pages/index/index'
    }
  }
})